import React from 'react';
import AddAssistCheck from '../AddAssistCheck';
import { ItemBox, ConfirmModal, WrapModalContainer } from '@commonComp';
import styles from './index.less';
import Notify from '@commonComp/Notify';
import $ from 'jquery';
import { isIE, getUrlArgObject } from '@utils/tools.js';
import { dragBox } from '@utils/drag';
import WrapModalBodyPac from '../WrapModalBodyPac';
import { getExcelList } from '@store/actions/inspect';
import store from '@store';
import { host, prefix } from '@utils/config.js';


// (function ($) {
//   var FileAPI = {
//     // @default: "./dist/"
//     staticPath: './dists/',

//     // @default: FileAPI.staticPath + "FileAPI.flash.swf"
//     flashUrl: './dists/FileAPI.flash.swf',

//     // @default: FileAPI.staticPath + "FileAPI.flash.image.swf"
//     flashImageUrl: './dists/FileAPI.flash.image.swf'
//   };
//   return FileAPI
// })($)

// import "./dists/FileAPI.js";

// const isLocal = window.location.hostname.indexOf('localhost') != -1;
// const qhost = isLocal ? host + prefix : prefix;
// const api = {
//   upload: qhost + '/lisExcelRes/lisExcelAnalysis'
// };
// let numFlg = 0;
class AssistCheck extends React.Component {
    constructor(props){
        super(props);
        this.state={
          val: '',
          visible: false,
          dom: [],
          isIE: isIE(),
          ieVersion: null,
          height: '-1',
          hide: false,
          importLis:false
        }
        this.showSlideImport=this.showSlideImport.bind(this)
        // this.handleBindFileApi=this.handleBindFileApi.bind(this)
        this.checkSystemIpt=this.checkSystemIpt.bind(this)
        this.showInIcss=this.showInIcss.bind(this)
        this.onClose=this.onClose.bind(this)
        this.handleImportExcel=this.handleImportExcel.bind(this)
    } 
    // componentDidMount() {
    //   $(document).click((event) => {
    //     let searchWrap = $('#importExcelBtns')[0];   // 导入按钮按钮
    //     let searchOption = $('#importExcelLists')[0];   // 下拉列表
    //     if (searchOption) {
    //       if(searchWrap != event.target){
    //         this.setState({ importLis: false });
    //       }
    //     }
    //   });
    // }
    handleImportExcel() {
      this.inputRef.click();
    }
    showSlideImport(){
      let flg = this.state.importLis
      this.setState({
        importLis:!flg
      })
    }

    // handleBindFileApi(){
    //   const {message} = this.props;
    //   var ua = navigator.userAgent;
    //   var _isIE = ua.indexOf("MSIE") > -1;
    //   if (_isIE) {
    //     let version = ua.match(/MSIE ([\d.]+)/)[1];
    //     this.setState({
    //       ieVersion: version
    //     })
    //   }
    //   $('iframe').bind('load', function () { })
    //   const { fetchPushInfos } = this.props;
    //   // FileAPI.debug = true
    //   $.support.cors = true;
    //   const that = this;
    //   var choose = document.getElementById('choose');
    //   FileAPI.event.on(choose, 'change', function (evt) {
    //     var files = FileAPI.getFiles(evt);
    //     FileAPI.filterFiles(files, function (file, info) {
    //       let name = file.name;
    //       // if( name.split('.')[1] == 'xlsx' || name.split('.')[1] == 'xls' ){
    //       //     Notify.error('请选择正确的excel表格')
    //       //     return false;
    //       // }else{
    //       //     return true;
    //       //   }
    //         return true;
    //     },
    //       function (files, rejected) {
    //         if (files.length) {
    //           //console.log(files[0])
    //           const securityCode = getUrlArgObject("code");
    //           const appKeyId = getUrlArgObject("appI");
    //           const appKeySecret = getUrlArgObject("appS");
    //           FileAPI.upload({
    //             // url: '/api/icss/lisExcelRes/lisExcelAnalysis',
    //             url: api.upload,
    //             data: { hospitalCode: message == '{}' ? '' : message.hospitalCode },
    //             files: { uploadfile: files[0] },
    //             headers: {
    //               appKeyId: appKeyId,
    //               appKeySecret: appKeySecret,
    //               securityCode: securityCode
    //             },
    //             complete: function (err, xhr) {
    //               if (!err) {
    //                 let res = JSON.parse(xhr.response);
    //                 let message = res.data.messages;
    //                 // store.dispatch(getExcelList(res.data));
    //                 // fetchPushInfos && fetchPushInfos();
    //                 // if (message && message.length != 0) {
    //                 //   that.setState({
    //                 //     visible: true,
    //                 //     dom: message,
    //                 //     height: message.length
    //                 //   })
    //                 // }
    //                 // $("#choose").val("");
    //               } else {
    //                 let res = JSON.parse(xhr.response);
    //                 Notify.error(res.msg)
    //               }
    //             }
    //           });
    //         }
    //       });
    //   });
    // }
    
    onClose() {
      this.setState({
        hide: false
      })
      dragBox('previewWrapper', 'previewStatic', 'del')
    }
    checkSystemIpt() {
      this.setState({
        hide: true
      })
    }
    showInIcss(){
      const {showInIcss} = this.props
      this.setState({
        hide: false
      })
      showInIcss&&showInIcss();
      dragBox('previewWrapper', 'previewStatic', 'del')
    }
    render(){
        const {checkedList,selectOneCheck,msgObj,selectGroupList,allCheckImport,hospitalSonInspect,handleSearchs,allCheck,message,hospitalPac, handleGetSonList,list,getInfomation,windowHeight,hospitalMsg,assistLabel,assistVal,handleChangeValue,handleSign,fetchPushInfos,handleDelAssist,handleChangeAssistValue,handleChangeDate,isRead,winWidth,assistList} = this.props;
        const {showSlideImport,checkSystemIpt,handleBindFileApi,showInIcss,onClose} = this;
        const {importLis,ieVersion,hide} = this.state;
        // if(JSON.stringify(hospitalMsg) != {} && document.getElementById("choose")){//动态绑定只绑定一次
        //   ++numFlg
        //   numFlg == 1?handleBindFileApi():null
        // }
        return (
            <div className={styles.wrapper}>
                <div className={styles.top}>
                    <span id="assistResultData">辅检结果数据</span>
                    <div className={styles.pushButton} disabled={ieVersion && ieVersion > 9 ? true : false} onClick={checkSystemIpt}>
                        <p id="importPacBtn" className={styles.importInspectBtn}>导入辅检结果</p>
                    </div>
                    {/* {
                      hospitalMsg.importWayLis == 3 ? <div className={styles.pushButton} disabled={ieVersion && ieVersion > 9 ? true : false} onClick={ieVersion && ieVersion <= 9 ? null : this.handleImportExcel}>
                        导入化验结果
                        <input type="file" name="uploadfile" id="choose" style={{ display: 'none' }} ref={(DOM) => this.inputRef = DOM} />
                      </div> : hospitalMsg.importWayLis == 22 ? <div className={styles.pushButton} disabled={ieVersion && ieVersion > 9 ? true : false} onClick={checkSystemIpt}>
                        检查系统导入
                      </div> : hospitalMsg.importWayLis == 2 ? <div className={`${styles.pushButton} ${styles.importInspect}`} onClick={showSlideImport}>
                        <p id="importExcelBtns" className={styles.importInspectBtn}>导入化验结果</p>
                        {
                          importLis?<ul className={styles.importSelect} id="importExcelLists">
                            <li className={styles.excelIpt}>
                              <div onClick={ieVersion && ieVersion <= 9 ? null : this.handleImportExcel}>本地导入</div>
                              <input type="file" name="uploadfile" id="choose" style={{ display: 'none' }} ref={(DOM) => this.inputRef = DOM} />
                            </li>
                            <li className={`${styles.excelIpt} ${styles.systemIpt}`} onClick={checkSystemIpt}>检查系统导入</li>
                          </ul>:null
                        }
                          </div> : null
                      } */}
                    {
                      hide ? <WrapModalContainer title={'导入辅检数据'} width={1000} height={650} onClose={onClose}>
                        <WrapModalBodyPac
                          hospitalSonInspect={hospitalSonInspect}
                          hospitalPac={hospitalPac}
                          handleGetSonList={handleGetSonList}
                          handleSearch={handleSearchs}
                          allCheckImport={allCheckImport}
                          allCheck={allCheck}
                          selectGroupList={selectGroupList}
                          checkedList={checkedList}
                          selectOneCheck={selectOneCheck}
                          showInIcss={showInIcss}
                          message={message}
                          msgObj={msgObj}
                          height={650}
                        ></WrapModalBodyPac>
                      </WrapModalContainer> : null
                    }
                </div>
                <ItemBox 
                    className={styles.title}
                    title={'辅检'}
                    editable={false}
                    border={true}
                    marginTop={'20px'}
                >
                    <div style={{padding:'10px',boxSizing:'border-box'}} >
                        <AddAssistCheck 
                            handleChangeValue={handleChangeValue}
                            list={list}
                            handleSign={handleSign}
                            assistLabel={assistLabel}
                            handleDelAssist={handleDelAssist}
                            handlePush={fetchPushInfos}
                            handleChangeAssistValue={handleChangeAssistValue}
                            handleChangeDate={handleChangeDate}
                            isRead={isRead}
                            winWidth={winWidth}
                            getInfomation={getInfomation}
                            assistList={assistList}
                            assistVal={assistVal}
                            windowHeight={windowHeight}
                        >
                        </AddAssistCheck>
                    </div>
                </ItemBox>
            </div>
        )
    }
}

export default AssistCheck;