import React from "react";
import style from "../index.less";

const WrapModalTable = (props) => {
  const { hospitalInspect, handleGetSonList } = props;
  return <div className={style['modalTable']}>
    <div className={style.tablePubP}>
      <table>
        <tr className={style.head}>
          <td className={`${style.fst} ellipsOver`}></td>
          <td className={`${style.sec} ellipsOver`}>걾</td>
          <td className={`${style.trd} ellipsOver`}></td>
          <td className={`${style.four} ellipsOver`}>ͼҽ</td>
          <td className={`${style.fif} ellipsOver`}>ͼʱ</td>
          <td className={`${style.six} ellipsOver`}>ʱ</td>
          <td className={`${style.sev} ellipsOver`} style={{display:hospitalInspect.length>5?'':'none'}}></td>
        </tr>
      </table>
    </div>
    <div className={`${style.parentTable} ${style.tablePubP}`}>
      <table>
        {
          hospitalInspect && hospitalInspect.map((item, idx) => {
            return <tr onClick={() => handleGetSonList(item.groupName)}>
              <td className={`${style.fst} ellipsOver`}>{idx+1}</td>
              <td title={item.specimenType} className={`${style.sec} ellipsOver`}>{item.specimenType}</td>
              <td title={item.groupName} className={`${style.trd} ellipsOver`}>{item.groupName}</td>
              <td title={item.inspectDoctor} className={`${style.four} ellipsOver`}>{item.inspectDoctor}</td>
              <td title={item.inspectTime} className={`${style.fif} ellipsOver`}>{item.inspectTime}</td>
              <td title={item.reportTime} className={`${style.six} ellipsOver`}>{item.reportTime}</td>
            </tr>
          })
        }
      </table>
    </div>
  </div>
}

export default WrapModalTable;
