import React from "react";
import style from "./index.less";
import WrapModalTitle from "./WrapModalTitle";
import WrapModalTable from "./WrapModalTable";
import WrapModalTableSon from "./WrapModalTableSon";
import WrapModalRight from "./WrapModalRight";

const WrapModalBody =(props)=>{
  const { handleSearch,msgObj, hospitalPac,height,selectOneCheck,showInIcss, handleGetSonList,selectWaring,message, hospitalSonInspect,allCheckImport,allCheck,checkedList,selectGroupList } = props;
  return <div className={style['container']}>
    <div className={`${style.left}`}>
      <WrapModalTitle handleSearch={handleSearch} message={message}></WrapModalTitle>
      <WrapModalTable
        hospitalPac={hospitalPac}
        msgObj={msgObj}
        handleGetSonList={handleGetSonList}
      ></WrapModalTable>
      {
        hospitalSonInspect && hospitalSonInspect.pacsResultDTO?
        <WrapModalTableSon
          allCheckImport={allCheckImport}
          allCheck={allCheck}
          hospitalSonInspect={hospitalSonInspect}
          selectGroupList={selectGroupList}
          checkedList={checkedList}
          selectOneCheck={selectOneCheck}
          selectWaring={selectWaring}
        ></WrapModalTableSon>:null
      }
    </div>
    <div className={`${style.right}`}>
      <WrapModalRight showInIcss={showInIcss} height={height} selectGroupList={selectGroupList}></WrapModalRight>
    </div>
  </div>
}

export default WrapModalBody;
